## python-cartopy 0.22.0+dfsg

=== debian/changelog ===
python-cartopy (0.22.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 09:52:34 +0000

python-cartopy (0.22.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 19:25:08 +0100

python-cartopy (0.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop geos & proj from build dependencies.
  * Refresh patches.
  * Specify path in PYBUILD_TEST_ARGS to fix test failure,
    because pybuild does not preserve directory structure.
  * Fix cartopy_feature_download installation.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Aug 2023 08:44:56 +0200

=== debian/control ===
Source: python-cartopy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-fiona,
               python3-matplotlib,
               python3-numpy,
               python3-packaging,
               python3-pil,
               python3-pykdtree,
               python3-pyproj (>= 3.1.0),
               python3-pyshp,
               python3-pytest,
               python3-pytest-mpl,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-tk
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
Homepage: https://scitools.org.uk/cartopy/

Package: python3-cartopy
Architecture: any
Depends: python-cartopy-data (= ${source:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-fiona,
          python3-gdal,
          python3-matplotlib,
          python3-owslib,
          python3-pil,
          python3-pykdtree,
          python3-scipy
Description: Cartographic library for Python 3
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 3 library.

Package: python-cartopy-data
Architecture: all
Depends: ${misc:Depends}
Description: cartographic library for Python (package data)
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides common data files necessary to the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export SETUPTOOLS_SCM_PRETEND_VERSION = $(UPSTREAM_VERSION)

export MPLBACKEND=Agg

export PYBUILD_NAME = cartopy
export PYBUILD_INSTALL_ARGS = --install-data=/usr/share/cartopy
export PYBUILD_TEST_PYTEST = 1
# Testing is restricted to test cases which do not require network access.
# See: https://github.com/SciTools/cartopy/issues/797.
# Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
# the matplotlib Debian package. See Bug-Debian #838301.
export PYBUILD_TEST_ARGS = --pyargs -v -m "not network and not natural_earth" cartopy/

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_clean:
	dh_clean $(CURDIR)/lib/cartopy/_version.py

override_dh_auto_clean:
	dh_auto_clean || true
	$(RM) -r .pybuild
	$(RM) -r __pycache__

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el s390x ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_auto_install:
	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
	dh_auto_install
	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images

	# Remove documentation outside usr/share/doc
	$(RM) debian/*/usr/share/cartopy/data/shapefiles/gshhs/README.TXT

	# Remove extra license files
	$(RM) debian/*/usr/lib/python*/dist-packages/*/COPYING
	$(RM) debian/*/usr/lib/python*/dist-packages/*/COPYING.LESSER

	# Don't include test output
	$(RM) -r debian/*/usr/lib/python*/dist-packages/cartopy_test_output

override_dh_python3:
	dh_python3 -p python3-cartopy

override_dh_numpy3:
	dh_numpy3 -p python3-cartopy

## python-cartopy 0.23.0+dfsg

=== debian/changelog ===
python-cartopy (0.23.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove generated files in clean target.
    (closes: #1049269)
  * Use execute_{before,after} instead of override in rules file.
  * Switch to dh-sequence-*.
  * Update lintian overrides.
  * Update copyright file.
  * Drop cartopy_feature_download.patch, fixed upstream.
    Refresh remaining patches.
  * Add patch to mark tests requiring network accordingly.
  * Update rules for shapefiles directory removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Apr 2024 06:00:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-fiona,

## python-cartopy 0.24.1%2Bdfsg

=== debian/tests/control ===
Depends: python3-all, python3-cartopy, python3-pytest, python3-pytest-mpl
Tests: python3
Restrictions: allow-stderr

## python-cartopy 0.24.1+dfsg

=== debian/changelog ===
python-cartopy (0.24.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Oct 2024 05:21:56 +0200

python-cartopy (0.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Drop no-network.patch, applied upstream. Refresh remaining patches.
  * Update test_gridliner.patch to fix another failure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Oct 2024 05:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-tk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
 Homepage: https://scitools.org.uk/cartopy/

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,7 @@
 export PYBUILD_TEST_ARGS = --pyargs -v -m "not network and not natural_earth" cartopy/
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
-
-override_dh_clean:
-	dh_clean $(CURDIR)/lib/cartopy/_version.py
-
-override_dh_auto_clean:
-	dh_auto_clean || true
-	$(RM) -r .pybuild
-	$(RM) -r __pycache__
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -42,14 +34,12 @@
 endif
 endif
 
-override_dh_auto_install:
+execute_before_dh_auto_install:
 	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
-	dh_auto_install
+
+execute_after_dh_auto_install:
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images
-
-	# Remove documentation outside usr/share/doc
-	$(RM) debian/*/usr/share/cartopy/data/shapefiles/gshhs/README.TXT
 
 	# Remove extra license files
 	$(RM) debian/*/usr/lib/python*/dist-packages/*/COPYING

## python-cartopy 0.25.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,11 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-tk
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
 Homepage: https://scitools.org.uk/cartopy/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cartopy
 Architecture: any
@@ -62,6 +63,7 @@
 
 Package: python-cartopy-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: cartographic library for Python (package data)
  Cartopy is a Python package designed to make drawing maps for data analysis

## python-cartopy 0.25.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  projection to automatically create list of available CRS projections"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/gallery source/reference/generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cartopy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cartopy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cartopy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cartopy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

projection:
	python make_projection.py

=== debian/changelog ===
python-cartopy (0.25.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:44:45 +0200

python-cartopy (0.25.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Update lintian overrides.
  * Mark python-cartopy-data as Multi-Arch: foreign.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Aug 2025 07:13:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # See: https://github.com/SciTools/cartopy/issues/797.
 # Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
 # the matplotlib Debian package. See Bug-Debian #838301.
-export PYBUILD_TEST_ARGS = --pyargs -v -m "not network and not natural_earth" cartopy/
+export PYBUILD_TEST_ARGS = --pyargs -v -m "not network and not natural_earth" cartopy
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|cartopy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cartopy-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/SciTools/cartopy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|cartopy)?[\-\_]?(\d\S+(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
